package com.yonge.cooleshow.biz.dal.dto.search;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.yonge.cooleshow.biz.dal.enums.AuthStatusEnum;
import com.yonge.toolset.base.page.QueryInfo;
import com.yonge.toolset.payment.base.enums.TradeStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

/**
 * @Author: liweifan
 * @Data: 2022-03-30 13:53:51
 */
@ApiModel(value = "TeacherWithdrawalSearch对象", description = "老师账户结算表查询对象")
public class TeacherWithdrawalSearch extends QueryInfo{
	private static final long serialVersionUID = 1L;
	@ApiModelProperty("三方交易流水号 ")
	private String transNo;
	@ApiModelProperty("申请人 ")
	private String username;
	@ApiModelProperty("审核状态 DOING、审核中 PASS、通过 UNPASS、不通过")
	@TableField(value = "auth_status_")
	private AuthStatusEnum authStatus;
	@ApiModelProperty("交易状态 pending、交易处理中 succeeded、交易成功 failed、交易失败 ")
	private TradeStatusEnum tradeStatus;
	@ApiModelProperty(value = "申请开始时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	private LocalDateTime startTime;
	@ApiModelProperty(value = "申请结束时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	private LocalDateTime endTime;
	@ApiModelProperty("审核人 ")
	private String verifyUser;

	@ApiModelProperty("查询时间（yyyy-MM） ")
	private String searchDate;
	@ApiModelProperty("APP提现状态 DOING、审核中 PASS、结算成功 UNPASS、结算失败 ")
	private String status;

	private Long userId;

	public String getTransNo() {
		return transNo;
	}

	public void setTransNo(String transNo) {
		this.transNo = transNo;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public TradeStatusEnum getTradeStatus() {
		return tradeStatus;
	}

	public void setTradeStatus(TradeStatusEnum tradeStatus) {
		this.tradeStatus = tradeStatus;
	}

	public LocalDateTime getStartTime() {
		return startTime;
	}

	public void setStartTime(LocalDateTime startTime) {
		this.startTime = startTime;
	}

	public LocalDateTime getEndTime() {
		return endTime;
	}

	public void setEndTime(LocalDateTime endTime) {
		this.endTime = endTime;
	}

	public String getSearchDate() {
		return searchDate;
	}

	public void setSearchDate(String searchDate) {
		this.searchDate = searchDate;
	}

	public Long getUserId() {
		return userId;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}

	public AuthStatusEnum getAuthStatus() {
		return authStatus;
	}

	public void setAuthStatus(AuthStatusEnum authStatus) {
		this.authStatus = authStatus;
	}

	public String getVerifyUser() {
		return verifyUser;
	}

	public void setVerifyUser(String verifyUser) {
		this.verifyUser = verifyUser;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}
}